"""
usage: galaxy-api-tools <command> [<args>...]
          [--version] [--help]

options:
    -h --help   Show this screen.
    --version   Show version.

Available commands are:
    upload          Upload data into galaxy. Can run a workflow on the uploaded
                    data.
    run-workflow    Run a workflow.
    show-workflow   Show a workflow details.
    get-workflows   Get all workflows of filter specific one(s) using workflow
                    id or workflow name.
"""

import sys
try:
    from docopt import docopt
except ImportError:
    sys.exit("""Error: docopt is required by galaxy-api-tools.
https://pypi.python.org/pypi/docopt""")
from commands import upload, run_workflow, show_workflow, get_workflows

def main():
    try:
        options = docopt(__doc__, version='0.1.0', options_first=True)

        if options['<command>'] == 'upload':
            upload([options['<command>']] + options['<args>'])
        elif options['<command>'] == 'run-workflow':
            run_workflow([options['<command>']] + options['<args>'])
        elif options['<command>'] == 'show-workflow':
            show_workflow([options['<command>']] + options['<args>'])
        elif options['<command>'] == 'get-workflows':
            get_workflows([options['<command>']] + options['<args>'])
        else:
            exit("%r is not a galaxy-api-tools command. See 'galaxy-api-tools --help'." % options['<command>'])
#    except ValueError as e:
#        print e
    except KeyboardInterrupt:
        pass

if __name__ == '__main__':
        main()

